#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: RSA
version: 2.3.0
id: RSA-2.3.0-Bp17hLoGYrID7TsDHmWzgq
key: RSA-2.3.0-Bp17hLoGYrID7TsDHmWzgq
license: BSD-3-Clause
maintainer: Adam Wick <awick@galois.com>
author: Adam Wick <awick@galois.com>
stability: stable
synopsis: Implementation of RSA, using the padding schemes of PKCS#1 v2.1.
description:
    This library implements the RSA encryption and signature
    algorithms for arbitrarily-sized ByteStrings. While the
    implementations work, they are not necessarily the fastest ones
    on the planet. Particularly key generation. The algorithms
    included are based of RFC 3447, or the Public-Key Cryptography
    Standard for RSA, version 2.1 (a.k.a, PKCS#1 v2.1).
category: Cryptography, Codec
abi: 487340dadaa96cb04144e8bdbc031841
exposed: True
exposed-modules:
    Codec.Crypto.RSA Codec.Crypto.RSA.Exceptions Codec.Crypto.RSA.Pure
import-dirs: /usr/lib/ghc-8.6.1/site-local/RSA-2.3.0
library-dirs: /usr/lib/ghc-8.6.1/site-local/RSA-2.3.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.6.1/RSA-2.3.0
hs-libraries: HSRSA-2.3.0-Bp17hLoGYrID7TsDHmWzgq
depends:
    SHA-1.6.4.4-2lrCL5e5YA7sXuPdJWRCJ base-4.12.0.0 binary-0.8.6.0
    bytestring-0.10.8.2 crypto-api-0.13.3-43rwgg6didD9Ww3YkDbwy5
    crypto-pubkey-types-0.4.3-FhqgLxZCmWKFtnc6y8gHPQ
haddock-interfaces: /usr/share/doc/haskell-rsa/html/RSA.haddock
haddock-html: /usr/share/doc/haskell-rsa/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

